RHEL 3 / 4 : freeradius (RHSA-2006:0271)

High Nessus Plugin ID 21180


The remote Red Hat host is missing one or more security updates.


Updated freeradius packages that fix an authentication weakness are now available.

This update has been rated as having important security impact by the Red Hat Security Response Team.

FreeRADIUS is a high-performance and highly configurable free RADIUS server designed to allow centralized authentication and authorization for a network.

A bug was found in the way FreeRADIUS authenticates users via the MSCHAP V2 protocol. It is possible for a remote attacker to authenticate as a victim by sending a malformed MSCHAP V2 login request to the FreeRADIUS server. (CVE-2006-1354)

Please note that FreeRADIUS installations not using the MSCHAP V2 protocol for authentication are not vulnerable to this issue.

A bug was also found in the way FreeRADIUS logs SQL errors from the sql_unixodbc module. It may be possible for an attacker to cause FreeRADIUS to crash or execute arbitrary code if they are able to manipulate the SQL database FreeRADIUS is connecting to.

Users of FreeRADIUS should update to these erratum packages, which contain backported patches and are not vulnerable to these issues.


Update the affected packages.

See Also




Plugin Details

Severity: High

ID: 21180

File Name: redhat-RHSA-2006-0271.nasl

Version: $Revision: 1.16 $

Type: local

Agent: unix

Published: 2006/04/04

Modified: 2016/12/29

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:redhat:enterprise_linux:freeradius, p-cpe:/a:redhat:enterprise_linux:freeradius-mysql, p-cpe:/a:redhat:enterprise_linux:freeradius-postgresql, p-cpe:/a:redhat:enterprise_linux:freeradius-unixODBC, cpe:/o:redhat:enterprise_linux:3, cpe:/o:redhat:enterprise_linux:4

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

Patch Publication Date: 2006/04/13

Vulnerability Publication Date: 2005/09/08

Reference Information

CVE: CVE-2005-4744, CVE-2006-1354

OSVDB: 19317, 19318, 19319, 19320, 19321, 19322, 24025

RHSA: 2006:0271